mod app;
mod highlight;
#[allow(dead_code)]
mod operations;
mod viewport;

use app::App;

fn theme(_: &App) -> iced::Theme {
    iced::Theme::Dark
}

fn title(app: &App) -> String {
    app.title()
}

fn main() -> iced::Result {
    iced::application(App::new, App::update, App::view)
        .title(title)
        .theme(theme)
        .subscription(App::subscription)
        .antialiasing(true)
        .run()
}
